Page MenuHomePhabricator

CX2: Avoid gaps below the category controls when they have different height
Closed, ResolvedPublic

Description

Depending on the results of the category adaptation (T177303) and whether new categories have been added to the translation (T188614), the list of categories on the source and target documents can be of different lengths.

Currently, when the lists of categories are different in length, a grey gap is shown below the shorter one, as illustrated below:

The empty space should be shown in white instead. Note that we won't be stretching the category list control since that could get in the way of adding more categories, but the white space after it.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAvoid gaps below categories listing

Event Timeline

Pginer-WMF triaged this task as Medium priority.Mar 14 2018, 8:39 AM
Pginer-WMF renamed this task from Misaligned categories leave empty space to CX2: Avoid gaps below the category controls when they have different height.Mar 14 2018, 12:55 PM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF lowered the priority of this task from Medium to Low.Mar 22 2018, 11:18 AM

Change 423565 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Avoid gaps below categories listing

https://gerrit.wikimedia.org/r/423565

Change 423565 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Avoid gaps below categories listing

https://gerrit.wikimedia.org/r/423565

Etonkovidova closed this task as Resolved.Apr 3 2018, 11:42 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked the fix in cx2-testing. The screenshot below shows that there is no grayish placeholder below a shorter list of tasks.

The first screenshot shows another problem - Category names are overflowing the category box, filed as T191370: CX2: Long category names overflow oo-ui-labelElement-label.